For the complete documentation index, see llms.txt. This page is also available as Markdown.

get__v2_stats_storage_breakdown_providers

GET /v2/stats/storage/breakdown/providers

Get Storage Gateway Provider Breakdown

Storage breakdown by providers, including protocol, provider, and endpoint.

Parameters

Name
In
Type
Required
Description

scope

query

string

true

Scope level: org, workspace, or repo

id

query

string

false

Required when scope is workspace or repo

window

query

string

true

Time window, e.g. 24h, 7d, 30d

timeBucketSize

query

string

false

Time grouping size, e.g., 1h, 1d

includeSeries

query

boolean

false

Include time-series for each entity

limit

query

integer

false

Max entities to return

offset

query

integer

false

Offset for pagination

bucketId

query

string

false

Filter source dataset by Storage Bucket ID

apiKeyId

query

string

false

Filter source dataset by Repo API Key ID

TypeScript Client Library

// Using the Flashgate TypeScript client
import { FlashgateClient } from '@flashgatetech/flashgateclient';

const client = new FlashgateClient({
  accessToken: 'your-access-token'
});

try {
  const result = await client.getStorageGatewayProviderBreakdown({
    scope: 'org',
    id: 'org-id',
    window: '24h'});
  console.log('Get Storage Gateway Provider Breakdown:', result);
} catch (error) {
  console.error('Failed to retrieve get storage gateway provider breakdown:', error);
}

Code Samples

Example responses 200 Response

Responses

Status
Meaning
Description
Schema

200

Successful request

Inline

400

Invalid request parameters

Inline

500

Internal server error

Inline

Response Schema

Status Code 200

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Indicates if the request was successful

» meta

object

true

none

Metadata for the response

» summary

object

true

none

Statistical summary

» entities

[object]

true

none

Array of breakdown entities

»» entityId

string

true

none

The dimension ID

»» entityName

string

false

none

The dimension Name (if applicable)

»» totals

object

true

none

Total metrics for this entity

»»» uplBytes

integer

true

none

Uploaded bytes

»»» dwlBytes

integer

true

none

Downloaded bytes

»»» sizeChange

integer

true

none

Net size change

»»» latencyMs

number

true

none

Average latency in ms

»»» requests

integer

true

none

Total requests

»» series

[object]

false

none

Time-series data for this entity (if requested)

»»» ts

integer

true

none

Unix timestamp

»»» uplBytes

integer

true

none

Uploaded bytes

»»» dwlBytes

integer

true

none

Downloaded bytes

»»» sizeChange

integer

true

none

Net size change

»»» latencyMs

number

true

none

Average latency in ms

»»» requests

integer

true

none

Total requests

»» protocol

string

false

none

Protocol

»» provider

string

false

none

Provider

»» endpoint

string

false

none

Endpoint

Status Code 400

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Always false for error responses

» message

string

true

none

Error message

Status Code 500

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Always false for error responses

» message

string

true

none

Error message

Last updated

Was this helpful?